{ copyPathToStore, stdenvNoCC, zola, writeScriptBin }:

stdenvNoCC.mkDerivation rec {
  name = "docs.hacc.space-static";

  src = ./.;
  content = copyPathToStore ../../docs;

  phases = [ "buildPhase" ];
  buildInputs = [ zola ];
  buildPhase = ''
    cp -r $src/* .
    rm content
    ln -s $content content
    zola build --output-dir $out
  '';

  watch = writeScriptBin "watch" ''
    cd $(git rev-parse --show-toplevel)/websites/docs.hacc.space
    ${zola}/bin/zola serve --output-dir /tmp/hacc-docs "$@"
  '';
}
